## ros-kinetic-moveit-config-m0617 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_config_m0617)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-moveit-config-m0617 (0.9.6-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- jinhyuk.gong <jinhyuk.gong@doosan.com>  Mon, 22 Apr 2019 01:56:36 -0000

ros-kinetic-moveit-config-m0617 (0.9.5-1xenial) xenial; urgency=high

  * 20190403 update
  * 20190403 update
  * Contributors: doosan-robotics

 -- jinhyuk.gong <jinhyuk.gong@doosan.com>  Sun, 21 Apr 2019 15:00:00 -0000

ros-kinetic-moveit-config-m0617 (0.9.4-1xenial) xenial; urgency=high

  * Emulator commit
  * Contributors: doosan-robotics

 -- jinhyuk.gong <jinhyuk.gong@doosan.com>  Sun, 31 Mar 2019 15:00:00 -0000

ros-kinetic-moveit-config-m0617 (0.9.3-1xenial) xenial; urgency=high



 -- jinhyuk.gong <jinhyuk.gong@doosan.com>  Wed, 27 Mar 2019 15:00:00 -0000

ros-kinetic-moveit-config-m0617 (0.9.1-1xenial) xenial; urgency=high



 -- jinhyuk.gong <jinhyuk.gong@doosan.com>  Tue, 26 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-moveit-config-m0617
Section: misc
Priority: extra
Maintainer: jinhyuk.gong <jinhyuk.gong@doosan.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dsr-description
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-config-m0617
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dsr-description, ros-kinetic-joint-state-publisher, ros-kinetic-moveit-fake-controller-manager, ros-kinetic-moveit-kinematics, ros-kinetic-moveit-planners-ompl, ros-kinetic-moveit-ros-move-group, ros-kinetic-moveit-ros-visualization, ros-kinetic-moveit-setup-assistant, ros-kinetic-robot-state-publisher, ros-kinetic-xacro
Description: An automatically generated package with all the configuration and launch files for using the m0617 with the MoveIt! Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-moveit-config-m0617//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
